/*
Theme Name:   	Storefront Child Theme
Theme URI:    	https://woocommerce.com/products/storefront/
Author:       	Amit Kumar Yadav
Author URI:     https://www.techpotam.com
Template:     	storefront
Description:  	This is a blank child theme for WooThemes StoreFront theme
Version:      	1.0.0
License:      	GNU General Public License v2 or later
License URI:  	http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  	storefront
*/
/*
 * Add your own custom css below this text.
 */
form#woocommerce-form-login .error,
form#woocommerce-form-register .error {
    color: #ff0000;
}
.bos-table-container table {
    width: 100%;
    border-collapse: collapse;
}
.bos-table-container .bos-btn-wrap {
    display: flex;
    column-gap: 319px;
    flex-wrap: wrap;
    margin-bottom: 20px;
}
.bos-table-container .bos-product-gallery {
    width: 40px;
}
.bos_shipping_method_wrap .bos_shipping_method {
    display: block;
}
.bos_shipping_method_wrap .bos_shipping_method span {
    padding-left: 10px;
}
.bos_shipping_method span.shipping-price {
    font-weight: 600;
}

.woocommerce-cart-form .product-name {
    padding: 10px;
}
.woocommerce-cart-form .product-name a {
    color: #0073e6;
    text-decoration: none;
    font-weight: bold;
}
.woocommerce-cart-form .product-name a:hover {
    text-decoration: underline;
}
.woocommerce-cart-form .product-name dl.variation {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 10px;
}
.woocommerce-cart-form .product-name dt {
    font-weight: bold;
    color: #333;
    padding: 5px 10px;
    margin-top: 5px;
    flex: 1 0 100px;
}
.woocommerce-cart-form .product-name dd {
    padding: 5px 10px;
    flex: 1 0 auto;
}
.woocommerce-cart-form .product-name dd p {
    margin: 0;
    padding: 0;
}
.woocommerce-cart-form .variation-CIDCountry dt, .woocommerce-cart-form .variation-CIDCountry dd,
.woocommerce-cart-form .variation-BillingCountry dt, .woocommerce-cart-form .variation-BillingCountry dd,
.woocommerce-cart-form .variation-Weight dt, .woocommerce-cart-form .variation-Weight dd,
.woocommerce-cart-form .variation-Length dt, .woocommerce-cart-form .variation-Length dd,
.woocommerce-cart-form .variation-Width dt, .woocommerce-cart-form .variation-Width dd,
.woocommerce-cart-form .variation-Depth dt, .woocommerce-cart-form .variation-Depth dd,
.woocommerce-cart-form .variation-OriginSeller dt, .woocommerce-cart-form .variation-OriginSeller dd,
.woocommerce-cart-form .variation-PSCode dt, .woocommerce-cart-form .variation-PSCode dd,
.woocommerce-cart-form .variation-DescriptionofGoods dt, .woocommerce-cart-form .variation-DescriptionofGoods dd,
.woocommerce-cart-form .variation-Units dt, .woocommerce-cart-form .variation-Units dd,
.woocommerce-cart-form .variation-UnitofMeasure dt, .woocommerce-cart-form .variation-UnitofMeasure dd,
.woocommerce-cart-form .variation-TariffHSCode dt, .woocommerce-cart-form .variation-TariffHSCode dd,
.woocommerce-cart-form .variation-ValueinEuro dt, .woocommerce-cart-form .variation-ValueinEuro dd,
.woocommerce-cart-form .variation-Oversize dt, .woocommerce-cart-form .variation-Oversize dd,
.woocommerce-cart-form .variation-Overweight1-15kg dt, .woocommerce-cart-form .variation-Overweight1-15kg dd,
.woocommerce-cart-form .variation-Overweight2-30kg dt, .woocommerce-cart-form .variation-Overweight2-30kg dd,
.woocommerce-cart-form .variation-HazardMaterial1 dt, .woocommerce-cart-form .variation-HazardMaterial1 dd {
    padding: 2px 0;
}
.bos-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px 20px;
}
.bos-container .form-group {
    display: contents;
}
.bos-container .form-group label {
    font-weight: bold;
}
.bos-container .form-group span {
    display: block;
}
ul.ors-cart-dashboard {
    list-style: none;
    padding: 0;
    margin: 0;
}
.ors-cart-dashboard li.menu-item {
    display: inline-block;
    margin-right: 15px;
    position: relative;
}
.ors-cart-dashboard li.cart-menu-item a.cart-contents-1 {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #000;
    font-size: 16px;
    font-weight: bold;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}
.ors-cart-dashboard li.cart-menu-item a.cart-contents-1:hover {
    background-color: #f0f0f0;
    color: #333;
}
.ors-cart-dashboard li.cart-menu-item a.cart-contents-1 i.fa-shopping-cart {
    margin-right: 5px;
}
.ors-cart-dashboard li.cart-menu-item a.cart-contents-1 .cart-count {
    color: #000;
    font-size: 12px;
    font-weight: bold;
    padding: 13px 2px;
    margin-left: 5px;
    display: inline-block;
    line-height: 1;
    vertical-align: middle;
}
.ors-cart-dashboard li.cart-menu-item a.cart-contents-1 .cart-count::after {
    content: " items";
    font-size: 10px;
    font-weight: normal;
    color: #000;
    padding-left: 2px;
    vertical-align: middle;
}
.woocommerce-cart .cart_item .variation {
    display: flex;
    flex-wrap: wrap;
}
.woocommerce-cart .cart_item .bos-variation-wrap {
    display: flex;
    flex-basis: 25%;
    padding: 5px 0;
}
.woocommerce-cart .cart_item .bos-variation-wrap dt,
.woocommerce-cart .cart_item .bos-variation-wrap dd {
    margin: 0;
    padding: 0;
}
.woocommerce-cart .cart_item .bos-variation-wrap dd{
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}
.woocommerce-cart .cart_item .bos-variation-wrap.bos-one {
    background: #f8f8f8;
    padding: 10px;
}
.bos-table-container .bos-consolidated-label {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: 100px;
}
.bos-table-container .bos-consolidated-label input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
.bos-table-container .custom-checkbox {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border: 2px solid #ddd;
}
.bos-table-container .bos-consolidated-label:hover input ~ .custom-checkbox {
  background-color: #ccc;
}
.bos-table-container .bos-consolidated-label input:checked ~ .custom-checkbox {
  background-color: #2196F3;
}
.bos-table-container .custom-checkbox:after {
  content: "";
  position: absolute;
  display: none;
}
.bos-table-container .bos-consolidated-label input:checked ~ .custom-checkbox:after {
  display: block;
}
.bos-table-container .bos-consolidated-label .custom-checkbox:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
.bos-count-check-wrap{
    position: absolute;
}
.bos-count-check-wrap a.added_to_cart.wc-forward {
    padding: 5px;
    font-size: 9px;
    position: absolute;
}
.bos-add-to-cart-label{
    width: 100px;
}
.bos-table-container .bos-count-check-wrap {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
}
.woocommerce-cart .cart_item .bos-variation-wrap.bos-two {
    padding: 10px;
}
.woocommerce-cart .cart_totals  .bos_shipping_extra_charge {
    display: table;
    width: 100%;
    border-collapse: collapse;
}
.woocommerce-cart .cart_totals .bos_shipping_extra_charge label {
    display: table-row;
}
.woocommerce-cart .cart_totals  .bos_shipping_extra_charge label span {
    display: table-cell;
    padding: 2px;
}
.woocommerce-cart .cart_totals  .bos_shipping_extra_charge label span:first-child {
    font-weight: 400;
    width: 26%;
}
.woocommerce-checkout .bos-variation-wrap {
    display: flex;
    flex-wrap: wrap;
    column-gap: 6px;
    float: left;
}
.woocommerce-checkout .bos-variation-wrap dd {
    padding-left: 27px;
}
.woocommerce-checkout .bos-variation-wrap dt {
    padding-left: 10px;
}
.woocommerce-checkout .bos_shipping_extra_charge label {
    display: flex;
    flex-wrap: wrap;
    column-gap: 50px;
}

